<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: appCNNClassMNISTTraining.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_230ff266809b6c822309e6868f081b10.html">app</a></li><li class="navelem"><a class="el" href="dir_e5b67a8a4144e6ae177326db1accf5e2.html">cnn</a></li><li class="navelem"><a class="el" href="dir_5dca0992475f9d5363b80eafbe83135b.html">class</a></li><li class="navelem"><a class="el" href="dir_6c91a1ea99977e0db57e04384e591edf.html">mnist</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">appCNNClassMNISTTraining.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="appCNNClass_8h_source.html">../appCNNClass.h</a>&quot;</code><br/>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a2e2e697ff7ae93026c6f59fa1e02aa57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e2e697ff7ae93026c6f59fa1e02aa57"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>DATABASE_PATH</b>&#160;&#160;&#160;&quot;../../../../database/mnist&quot;</td></tr>
<tr class="separator:a2e2e697ff7ae93026c6f59fa1e02aa57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af872d33cd1a0c91f7bea1cc4572e79c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af872d33cd1a0c91f7bea1cc4572e79c9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TRAIN_NUM</b>&#160;&#160;&#160;60000</td></tr>
<tr class="separator:af872d33cd1a0c91f7bea1cc4572e79c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef4d844a2b206b0c75d825df0730786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ef4d844a2b206b0c75d825df0730786"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_ROW</b>&#160;&#160;&#160;28</td></tr>
<tr class="separator:a3ef4d844a2b206b0c75d825df0730786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616d34efcb208f35303ae84b764bce30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616d34efcb208f35303ae84b764bce30"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_COL</b>&#160;&#160;&#160;28</td></tr>
<tr class="separator:a616d34efcb208f35303ae84b764bce30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ae2958e436c566413867028fc829ec0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ae2958e436c566413867028fc829ec0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>BATCH_SIZE</b>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a9ae2958e436c566413867028fc829ec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313d155c7da2c8f76cbf29c0d6ecd342"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a313d155c7da2c8f76cbf29c0d6ecd342"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_CHANNEL</b>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a313d155c7da2c8f76cbf29c0d6ecd342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706f980206958c35abaf31a68187fbaa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a706f980206958c35abaf31a68187fbaa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>LEARN_RATE</b>&#160;&#160;&#160;0.1</td></tr>
<tr class="separator:a706f980206958c35abaf31a68187fbaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>main</b> ()</td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga74ae1f2ec0bb9e1cfc344cdfd204f4da"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__appCNNClass.html#ga74ae1f2ec0bb9e1cfc344cdfd204f4da">appCNNClassMNISTTraining</a> ()</td></tr>
<tr class="memdesc:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="mdescLeft">&#160;</td><td class="mdescRight">MNIST training example. <br/></td></tr>
<tr class="separator:ga74ae1f2ec0bb9e1cfc344cdfd204f4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
